using kehati.Models;

namespace kehati.Models.View;

public class HomeViewModel
{
    public string Query { get; set; } = "";
    public string Type { get; set; } = "";
    public string Status { get; set; } = "";
    public string lokasi { get; set; } = "";
    public string Results { get; set; } = "";
    public StatistikHomeModel Statistik { get; set; } = new();
    public LokasiModel Location { get; set; } = new();
    public SpesiesModel Spesies { get; set; } = new();

    public List<LokasiModel> FeaturedLocations { get; set; } = new();
    public List<SpesiesModel> FeaturedSpesies { get; set; } = new(); 
    public List<string> ConservationStatuses { get; set; } = new(); 
}